Skip to Content

Archived discussions are read-only. Learn more about SAP Q&A

MDM Catalog Upgrade Repository

Dear MDM gurus,

we have a problem during the upgrade process to MDM Catalog 2.0 SP04 P01.

After having updated the MDM Server component and having done all described steps, we're now facing a problem in upgrading the repository via the web-tool (right-click on the repository in MDM console --> Update worked alright).

http://<your AS Java host>:< AS Javaport>/webdynpro/dispatcher/sap.com/tcmdmsrmcat~uiutil/Utilities --> Upgrade repository

When having clicked on Upgrade repository the new page opens with server and password. When we try to enter the correct server and password there's an error message saying "connection to server could not be established".

In MDM Console we can see that the server is loaded and running. Also repositories are running. Even in MDM Data Manager you can connect and see articles.

Is there a possibilty that we missed a step during installation? Perhaps the step Update "SRM-MDM Catalog Search UI"?

Btw: Connecting to another server that has NOT been updated yet works correctly!!!

Thanks a lot for your help.

Best regards,

Henning

replied

Hello Henning,

If you upgrade the version of MDM server, then you have to update the JAVA API and SearchUI sca files according to the compatibility.

When you download the business content, it contains MDM server and its client and also compatible JAVA API and SearchUI sca file in it.

And as per my understanding, there is no need to upgrade the repository, you just archive your MDM repository (a2a file) and save it to your desktop.

After upgrading the version of MDM Server and its client, just copy a2a file in archive folder of MDM Server directory then unarchive the repository after that update your repository via right click on the repository in MDM Console.

I hope this will solve your problem.

TNR,

Saurabh...

0 View this answer in context
Not what you were looking for? View more on this topic or Ask a question